aboutsummaryrefslogtreecommitdiffstats
path: root/csit/plans
diff options
context:
space:
mode:
authorDan Timoney <dtimoney@att.com>2021-05-14 14:52:24 -0400
committerKAPIL SINGAL <ks220y@att.com>2021-06-18 16:31:58 +0000
commit65cb0a032cf45d35ae07244752600cecc8eb930d (patch)
tree9716167c070758f1314e613375d32eb7de358aa5 /csit/plans
parent4ce68295eebdda1a3fdb069f6137a180a94f63e9 (diff)
Add CSIT test cases to sdnc/oam repo
Refactored csit tests currently in integration/csit and moved them as part of sdnc/oam project so that we can trigger csit tests as part of our docker builds. Change-Id: I3acd25c7a6f1bc0ea9b2a2bd756cedc5fb2bf701 Issue-ID: SDNC-1545 Signed-off-by: Dan Timoney <dtimoney@att.com> (cherry picked from commit 1ab7133b8e2fcbda0e4ac3f2e69790506b79b952 [formerly 16a6e0ea52a4a681ed2799612e310c867e720a61]) Former-commit-id: 704ba02c4f41dc2970d7ed2b72f5d6726ef24b00
Diffstat (limited to 'csit/plans')
-rw-r--r--csit/plans/sdnc/setup.sh161
-rw-r--r--csit/plans/sdnc/teardown.sh22
-rw-r--r--csit/plans/sdnc/testplan.txt3
3 files changed, 186 insertions, 0 deletions
diff --git a/csit/plans/sdnc/setup.sh b/csit/plans/sdnc/setup.sh
new file mode 100644
index 00000000..037bc2e2
--- /dev/null
+++ b/csit/plans/sdnc/setup.sh
@@ -0,0 +1,161 @@
+#!/bin/bash
+#
+# Copyright 2016-2017 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Modifications copyright (c) 2020-2021 Samsung Electronics Co., Ltd.
+# Modifications copyright (c) 2021 AT&T Intellectual Property
+#
+
+#
+
+###################### Netconf Simulator Setup ######################
+
+# Get integration/simulators
+if [ -d ${WORKSPACE}/archives/pnf-simulator ]
+then
+ rm -rf ${WORKSPACE}/archives/pnf-simulator
+fi
+mkdir ${WORKSPACE}/archives/pnf-simulator
+git clone "https://gerrit.onap.org/r/integration/simulators/pnf-simulator" ${WORKSPACE}/archives/pnf-simulator
+
+# Fix docker-compose to add nexus repo for onap dockers
+mv ${WORKSPACE}/archives/pnf-simulator/netconfsimulator/docker-compose.yml ${WORKSPACE}/archives/pnf-simulator/netconfsimulator/docker-compose.yml.orig
+cat ${WORKSPACE}/archives/pnf-simulator/netconfsimulator/docker-compose.yml.orig | sed -e "s/image: onap/image: nexus3.onap.org:10001\/onap/" > ${WORKSPACE}/archives/pnf-simulator/netconfsimulator/docker-compose.yml
+
+# Remove carriage returns (if any) from netopeer start script
+mv ${WORKSPACE}/archives/pnf-simulator/netconfsimulator/netconf/initialize_netopeer.sh ${WORKSPACE}/archives/pnf-simulator/netconfsimulator/netconf/initialize_netopeer.sh.orig
+cat ${WORKSPACE}/archives/pnf-simulator/netconfsimulator/netconf/initialize_netopeer.sh.orig | sed -e "s/\r$//g" > ${WORKSPACE}/archives/pnf-simulator/netconfsimulator/netconf/initialize_netopeer.sh
+chmod 755 ${WORKSPACE}/archives/pnf-simulator/netconfsimulator/netconf/initialize_netopeer.sh
+
+
+# Start Netconf Simulator Container with docker-compose and configuration from docker-compose.yml
+docker-compose -f "${WORKSPACE}"/archives/pnf-simulator/netconfsimulator/docker-compose.yml up -d
+
+# Add test user in netopeer container
+sleep 60
+docker exec netconfsimulator_netopeer_1 useradd --system test
+
+############################## SDNC Setup ##############################
+
+# Copy client certs from netconf simulator to SDNC certs directory
+mkdir /tmp/keys0
+cp ${WORKSPACE}/archives/pnf-simulator/netconfsimulator/tls/client.crt /tmp/keys0
+cp ${WORKSPACE}/archives/pnf-simulator/netconfsimulator/tls/client.key /tmp/keys0
+cp ${WORKSPACE}/archives/pnf-simulator/netconfsimulator/tls/ca.crt /tmp/keys0/trustedCertificates.crt
+cwd=$(pwd)
+cd /tmp
+if [ ! -d ${SDNC_CERT_PATH} ]
+then
+ mkdir -p ${SDNC_CERT_PATH}
+fi
+chmod -f go+w $SDNC_CERT_PATH
+cat > $SDNC_CERT_PATH/certs.properties <<-END
+keys0.zip
+*****
+END
+zip -r $SDNC_CERT_PATH/keys0.zip keys0
+rm -rf /tmp/keys0
+
+
+# Export default Networking bridge created on the host machine
+export LOCAL_IP=$(ip -4 addr show docker0 | grep -Po 'inet \K[\d.]+')
+
+unset http_proxy https_proxy
+
+
+# start SDNC containers with docker compose and configuration from docker-compose.yml
+docker-compose -f ${SCRIPTS}/docker-compose.yml up -d
+
+# WAIT 5 minutes maximum and check karaf.log for readiness every 10 seconds
+
+TIME_OUT=300
+INTERVAL=10
+TIME=0
+while [ "$TIME" -lt "$TIME_OUT" ]; do
+
+docker exec ${SDNC_CONTAINER_NAME} cat /opt/opendaylight/data/log/karaf.log | grep 'warp coils'
+
+ if [ $? == 0 ] ; then
+ echo SDNC karaf started in $TIME seconds
+ break;
+ fi
+
+ echo Sleep $INTERVAL seconds before testing if SDNC is up. Total wait time up until now is $TIME seconds. Timeout is $TIME_OUT seconds
+ sleep $INTERVAL
+ TIME=$(($TIME+$INTERVAL))
+done
+
+if [ "$TIME" -ge "$TIME_OUT" ]; then
+ echo TIME OUT: karaf session not started in $TIME_OUT seconds, setup failed
+ exit 1;
+fi
+
+num_bundles=$(docker exec -i ${SDNC_CONTAINER_NAME} sh -c "echo '' | /opt/opendaylight/current/bin/client bundle:list" | tail -1 | cut -d' ' -f1)
+
+ if [ "$num_bundles" -ge 333 ]; then
+ num_bundles=$(docker exec -i ${SDNC_CONTAINER_NAME} sh -c "echo '' | /opt/opendaylight/current/bin/client bundle:list" | tail -1 | cut -d' ' -f1)
+
+ num_failed_bundles=$(docker exec -i ${SDNC_CONTAINER_NAME} sh -c "echo '' | /opt/opendaylight/current/bin/client bundle:list" | grep Failure | wc -l)
+ failed_bundles=$(docker exec -i ${SDNC_CONTAINER_NAME} sh -c "echo '' | /opt/opendaylight/current/bin/client bundle:list" | grep Failure)
+ echo There is/are $num_failed_bundles failed bundles out of $num_bundles installed bundles.
+ fi
+
+if [ "$num_failed_bundles" -ge 1 ]; then
+ echo "The following bundle(s) are in a failed state: "
+ echo " $failed_bundles"
+fi
+
+# Check if certificate installation is done
+TIME_OUT=300
+INTERVAL=10
+TIME=0
+while [ "$TIME" -lt "$TIME_OUT" ]; do
+
+ docker-compose -f "${SCRIPTS}"/docker-compose.yml logs sdnc | grep 'Everything OK in Certificate Installation'
+
+ if [ $? == 0 ] ; then
+ echo SDNC karaf started in $TIME seconds
+ break;
+ fi
+
+ echo Sleep: $INTERVAL seconds before testing if SDNC is up. Total wait time up now is: $TIME seconds. Timeout is: $TIME_OUT seconds
+ sleep $INTERVAL
+ TIME=$(($TIME+$INTERVAL))
+done
+
+if [ "$TIME" -ge "$TIME_OUT" ]; then
+ echo TIME OUT: karaf session not started in $TIME_OUT seconds, setup failed
+ exit 1;
+fi
+
+# Update default Networking bridge IP in mount.json file
+cp ${REQUEST_DATA_PATH}/mount.xml.tmpl ${REQUEST_DATA_PATH}/mount.xml
+sed -i "s/pnfaddr/${LOCAL_IP}/g" "${REQUEST_DATA_PATH}"/mount.xml
+
+
+#########################################################################
+
+# Export SDNC, AAF-Certservice-Cient, Netconf-Pnp-Simulator Continer Names
+export REQUEST_DATA_PATH="${REQUEST_DATA_PATH}"
+export SDNC_CONTAINER_NAME="${SDNC_CONTAINER_NAME}"
+export CLIENT_CONTAINER_NAME="${CLIENT_CONTAINER_NAME}"
+export NETCONF_PNP_SIM_CONTAINER_NAME="${NETCONF_PNP_SIM_CONTAINER_NAME}"
+
+REPO_IP='127.0.0.1'
+ROBOT_VARIABLES+=" -v REPO_IP:${REPO_IP} "
+ROBOT_VARIABLES+=" -v SCRIPTS:${SCRIPTS} "
+
+echo "Finished executing setup for SDNC"
+
diff --git a/csit/plans/sdnc/teardown.sh b/csit/plans/sdnc/teardown.sh
new file mode 100644
index 00000000..0c6c9944
--- /dev/null
+++ b/csit/plans/sdnc/teardown.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+#
+# Copyright 2016-2017 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Modifications copyright (c) 2017 AT&T Intellectual Property
+# Modifications copyright (c) 2020 Samsung Electronics Co., Ltd.
+#
+
+docker-compose -f "${SCRIPTS}"/docker-compose.yml down -v
+docker-compose -f "${WORKSPACE}"/archives/pnf-simulator/netconfsimulator/docker-compose.yml down -v
diff --git a/csit/plans/sdnc/testplan.txt b/csit/plans/sdnc/testplan.txt
new file mode 100644
index 00000000..9810e58a
--- /dev/null
+++ b/csit/plans/sdnc/testplan.txt
@@ -0,0 +1,3 @@
+# Test suites are relative paths under csit/tests/.
+# Place the suites in run order.
+sdnc \ No newline at end of file